org.omg.PortableInterceptor

## Interface IORInfo

- All Superinterfaces:
    IDLEntity, IORInfoOperations, Object, Serializable

      public interface IORInfo
      extends IORInfoOperations, Object, IDLEntity

  Provides the server-side ORB service with access to the applicable policies during IOR construction and the ability to add components. The ORB passes an instance of its implementation of this interface as a parameter to `IORInterceptor.establish_components`.
  See Also:
    `IORInterceptor`

- - ### Method Summary

    - ### Methods inherited from interface org.omg.PortableInterceptor.IORInfoOperations

      `adapter_template, add_ior_component_to_profile, add_ior_component, current_factory, current_factory, get_effective_policy, manager_id, state`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.